org.apache.tinkerpop.gremlin.groovy.jsr223

## Class GremlinGroovyScriptEngineSandboxedStandardTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.groovy.jsr223.GremlinGroovyScriptEngineSandboxedStandardTest

-     public class GremlinGroovyScriptEngineSandboxedStandardTest
      extends AbstractGremlinTest

  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `name`
    `CompilerCustomizerProvider` | `notSandboxed`
    `CompilerCustomizerProvider` | `sandboxed`

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GremlinGroovyScriptEngineSandboxedStandardTest()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Iterable<Object[]>` | `data()`
    `void` | `shouldEvalGraph()`
    `void` | `shouldEvalGraphTraversalSource()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRandomCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          public String name

    - #### notSandboxed

          public CompilerCustomizerProvider notSandboxed

    - #### sandboxed

          public CompilerCustomizerProvider sandboxed

  - ### Constructor Detail

    - #### GremlinGroovyScriptEngineSandboxedStandardTest

          public GremlinGroovyScriptEngineSandboxedStandardTest()

  - ### Method Detail

    - #### data

          public static Iterable<Object[]> data()

    - #### shouldEvalGraphTraversalSource

          public void shouldEvalGraphTraversalSource()
                                              throws Exception

      Throws:
        `Exception`

    - #### shouldEvalGraph

          public void shouldEvalGraph()
                               throws Exception

      Throws:
        `Exception`

Copyright © 2013–2018 Apache Software Foundation. All rights reserved.